Skip to main content
PATCH
Update Project

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

id
string
required

Project ID

Body

application/json

Update model for Project

name
string
effective_at
string<date-time>
expires_at
string<date-time>
notes
string
order_notes
string
job_notes
string
internal_notes
string
po_job_number
string
external_id
string
contact
Contact-Update-Destroyable · object
site_id
string<uuid> | null
phases
Phase-Update · object[]
project_material_totals
ProjectMaterialTotal-Update · object[]
sales_contact
Contact-Update-Destroyable · object
foreman_contact
Contact-Update-Destroyable · object
supervisor_contact
Contact-Update-Destroyable · object
collaborator_contact
Contact-Update-Destroyable · object
department_id
string<uuid> | null
foreman_ids
string<uuid>[]
collaborator_ids
string<uuid>[]
salesperson_ids
string<uuid>[]
customer_rate_id
string<uuid> | null
vendor_rate_id
string<uuid> | null
driver_rate_id
string<uuid> | null
hauler_rate_type
string | null
service_id
string<uuid> | null
service_class_id
string<uuid> | null
job_time
integer | null

Time in minutes

order_quantity
number | null
equipment_type_id
string<uuid> | null
loads_per_truck
integer | null
Required range: 1 <= x <= 25
truck_count
integer | null
Required range: 1 <= x <= 200
units_per_hour
integer | null
job_quantity
number | null
waypoints
Waypoint-Update-Destroyable · object[]
customer_rate_value
number | null
customer_rate_type
enum<string> | null
Available options:
RatePerHour,
RatePerDay,
RatePerLoad,
RatePerTon,
RatePerTonne,
RatePerYard,
RatePerBushel,
RateCommission,
RateFlatCommission,
RateFlatRate
Example:

"RatePerHour"

vendor_rate_value
number | null
vendor_rate_type
enum<string> | null
Available options:
RatePerHour,
RatePerDay,
RatePerLoad,
RatePerTon,
RatePerTonne,
RatePerYard,
RatePerBushel,
RateCommission,
RateFlatCommission,
RateFlatRate
Example:

"RatePerHour"

driver_rate_value
number | null
driver_rate_type
enum<string> | null
Available options:
RatePerHour,
RatePerDay,
RatePerLoad,
RatePerTon,
RatePerTonne,
RatePerYard,
RatePerBushel,
RateCommission,
RateFlatCommission,
RateFlatRate
Example:

"RatePerHour"

requester_id
string | null
equipment_type_gross_capacity
number | null
equipment_type_gross_capacity_unit_of_measure
enum<string> | null
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

load_unit_of_measure
enum<string> | null
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

dispatch_number
DispatchNumber-Update · object
order_unit_of_measure
enum<string> | null
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

job_unit_of_measure
enum<string> | null
Available options:
Load,
Tonne,
Ton,
Yard,
Meter,
Foot,
Liter,
Hour,
Bushel,
Gallon,
CubicMeter,
Mile,
Kilometer,
Barrel,
Bag,
Pallet
Example:

"Load"

recurring_loads
boolean
charge_to_account
string | null
chase_missing_tickets
boolean

Enable ticket chasing for jobs in orders with this project

default_digital_ticket_view
boolean
default:false

Use the default digital ticket view for orders in this project

tax_rate
number | null

Tax rate percentage (up to 4 decimal places)

tax_freight
boolean
default:false

Whether freight line items and FSC are taxable

tax_material
boolean
default:false

Whether material line items are taxable

tax_add_ons
boolean
default:false

Whether add-on charges are taxable (dual-confirm with add_on.taxable)

Response

OK

data
Project-Read · object
required

Read model for Project